#include "window.hpp"

pw::window::window() {

    _window = glfwCreateWindow(640, 480, "My Title", NULL, NULL);
}

pw::window::~window() {

    glfwDestroyWindow(_window);
}

bool pw::window::update()
{
    if (!glfwWindowShouldClose(_window)) {
        glfwSwapBuffers(_window);
        glfwPollEvents();

        return true;
    }

    return false;
}

void pw::window::load(sol::table &ns) {
{
        glfwInit();

        ns.new_usertype<window>("window",
                                "update",&window::update
                                );
    }
}
